// medictrick.shader
// Fixed missing rgbGen parm by Aciz 

textures/medictrick/lava01
{
	qer_editorimage textures/medictrick/lava01.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm water
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 1024 sin 0 2 0 .3

	{
		map textures/medictrick/lava01.tga
		blendFunc blend
		alphaFunc GE128
		rgbgen identity
		tcmod scroll -.02 .001
		fog on
	}

	{ 
		fog on
		map textures/medictrick/lava01.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scroll -.001 -.0002
	}

	{ 
		fog on
		map textures/medictrick/lava01.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}

textures/medictrick/icelake
{
    qer_editorimage textures/medictrick/icelake.tga 
	surfaceparm slick
	
    {
        map textures/medictrick/icelake.tga 
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

	{
		map textures/medictrick/icelake.tga
		blendfunc blend
	}
	
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	
	{
		map textures/medictrick/envmap_ice.tga
		tcgen environment
		// rgbGen
		rgbGen identity
	}
	
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/medictrick/sign_morals
{
    qer_editorimage textures/medictrick/sign_morals.tga
	surfaceparm metalsteps
	
    {
        map $lightmap
        rgbGen identity
    }
    
    {
        map textures/medictrick/sign_morals.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/medictrick/sign_prison
{
    qer_editorimage textures/medictrick/sign_prison.tga
	surfaceparm metalsteps
	
    {
        map $lightmap
        rgbGen identity
    }
    
    {
        map textures/medictrick/sign_prison.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}