// trim // glass // wall // etc

textures/GW1/gwtrimwhite
{
	qer_editorimage textures/GW1/gwtrimwhite.jpg
	q3map_backsplash 0 0
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/GW1/gwtrimwhite.jpg
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

textures/GW1/gwtrimblue
{
	qer_editorimage textures/GW1/gwtrimblue.jpg
	q3map_backsplash 0 0
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/GW1/gwtrimblue.jpg
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

textures/GW1/gwtile
{
	qer_editorimage textures/GW1/gwtile.jpg
	q3map_lightimage textures/GW1/gwtile_gfx.jpg
	q3map_surfacelight 50
	{
		map textures/GW1/gwtile.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/GW1/gwtile_gfx.jpg
		blendfunc gl_one gl_one
	}
}

textures/GW1/gwblueglass
{
	qer_editorimage textures/GW1/gwblueglass.jpg
	qer_trans 0.5
	cull none
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm glass
	surfaceparm trans
	{
		map textures/GW1/gwblueglass.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/GW1/gwwhiteglass
{
	qer_editorimage textures/GW1/gwwhiteglass.jpg
	qer_trans 0.5
	cull none
	surfaceparm glass
	surfaceparm trans
	{
		map textures/GW1/gwwhiteglass.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/GW1/ice
{ 
	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans
	{ 
          map textures/GW1/ice.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
	} 
}

// water

textures/GW1/water1
{
	qer_editorimage textures/GW1/water1
	qer_trans .8
	q3map_surfacelight 300
	q3map_globaltexture
	cull disable
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/GW1/water1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/GW1/water2.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/GW1/water3.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}
textures/fut/fut_trim
{
	qer_editorimage textures/fut/fut_trim.jpg
	q3map_backsplash 0 0
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/fut/fut_trim.jpg
		tcGen environment
        	tcMod turb 0 0.1 0 0.1
        	tcmod scroll .1 .1
		blendfunc GL_ONE GL_ONE
	}
}

textures/fut/water
{
	nocompress
	qer_editorimage textures/fut/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/fut/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/fut/seawall_ripple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/fut/seawall_ripple.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/fut/siwa_shimmer.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}

textures/fut/trim3
{
	qer_editorimage textures/fut/fut_trim3.jpg
	q3map_lightimage textures/fut/fut_trim3gfx.jpg
	q3map_surfacelight 50
	{
		map textures/fut/fut_trim3.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/fut/fut_trim3gfx.jpg
		blendfunc gl_one gl_one
	}
}

textures/fut/trim2
{
	qer_editorimage textures/fut/fut_trim2.jpg
	q3map_lightimage textures/fut/fut_trim2gfx.jpg
	q3map_surfacelight 50
	{
		map textures/fut/fut_trim2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/fut/fut_trim2gfx.jpg
		blendfunc gl_one gl_one
	}
}